Last Comment Bug 662165 - Windows debug jsatom.cpp(448) : warning C4804: '>=' : unsafe use of type 'bool' in operation
: Windows debug jsatom.cpp(448) : warning C4804: '>=' : unsafe use of type 'boo...
Status: RESOLVED FIXED
fixed-in-tracemonkey
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86 Windows Server 2003
: -- normal (vote)
: ---
Assigned To: David Mandelin [:dmandelin]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-05 10:13 PDT by Phil Ringnalda (:philor, back in August)
Modified: 2011-06-13 11:00 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Phil Ringnalda (:philor, back in August) 2011-06-05 10:13:38 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1307292948.1307293194.23413.gz
tracemonkey_win32-debug_spidermonkey-warnaserrdebug on 2011/06/05 09:55:48 

jsatom.cpp
d:/mozilla-build/python25/python2.5.exe -O e:/builds/moz2_slave/tm-w32-dbg-spidermonkey-warnaserrdebug/src/js/src/build/cl.py cl -Fojsatom.obj -c   -DOSTYPE=\"WINNT5.2\" -DOSARCH=WINNT -DEXPORT_JS_API -DIMPL_MFBT -D__STDC_LIMIT_MACROS  -I../../src/js/src -I. -I/e/builds/moz2_slave/tm-w32-dbg-spidermonkey-warnaserrdebug/objdir/dist/include -I/e/builds/moz2_slave/tm-w32-dbg-spidermonkey-warnaserrdebug/objdir/dist/include/nsprpub  -I/e/builds/moz2_slave/tm-w32-dbg-spidermonkey-warnaserrdebug/objdir/dist/include/nspr   -I../../src/js/src -I../../src/js/src/assembler -I../../src/js/src/yarr    -GR- -TP -nologo -wd4345 -D_CRT_SECURE_NO_WARNINGS -Zc:wchar_t- -W3 -Gy -Fdgenerated.pdb -wd4244 -wd4800  -DDEBUG -D_DEBUG -DTRACING -Zi -O2 -WX -DUSE_SYSTEM_MALLOC=1 -DENABLE_ASSEMBLER=1 -DENABLE_JIT=1 -MDd           -FI ./js-confdefs.h -DMOZILLA_CLIENT /e/builds/moz2_slave/tm-w32-dbg-spidermonkey-warnaserrdebug/src/js/src/jsatom.cpp
jsatom.cpp

e:/builds/moz2_slave/tm-w32-dbg-spidermonkey-warnaserrdebug/src/js/src/jsatom.cpp(448) : error C2220: warning treated as error - no 'object' file generated

e:/builds/moz2_slave/tm-w32-dbg-spidermonkey-warnaserrdebug/src/js/src/jsatom.cpp(448) : warning C4804: '>=' : unsafe use of type 'bool' in operation

make[1]: Leaving directory `/e/builds/moz2_slave/tm-w32-dbg-spidermonkey-warnaserrdebug/objdir/js'
Comment 1 David Mandelin [:dmandelin] 2011-06-06 13:37:47 PDT
http://hg.mozilla.org/tracemonkey/rev/ce4a984d43dc
Comment 2 Chris Leary [:cdleary] (not checking bugmail) 2011-06-13 11:00:33 PDT
cdleary-bot mozilla-central merge info:
http://hg.mozilla.org/mozilla-central/rev/ce4a984d43dc

Note You need to log in before you can comment on or make changes to this bug.